# $Id: smeserver-samba-dc.spec,v 1.6 2024/09/06 01:35:36 terryfage Exp $
# Authority: koozali
# Name: bunkobugsy

%define name smeserver-samba-dc
%define version 11.0.0
%define release 1

Summary: SME Server Samba DC
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-formmagick >= 1.4.0-12
Requires: samba-dc
Requires: samba-tools
Requires: python3-setproctitle
Requires: smeserver-password

%description
SME Server templates for Samba Active Directory support

%changelog
* Fri Dec 13 2024 Vasarhelyi Zsolt <vasarhelyizsolt@hotmail.com>
- 11.0.0-01
- Original version

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
%clean
rm -rf $RPM_BUILD_ROOT
%pre
/usr/bin/systemctl stop smbd
true
%postun
if [ $1 == 0 ] ; then
/usr/bin/systemctl stop samba
/sbin/e-smith/db configuration setprop samba status disabled
/sbin/e-smith/db configuration delprop samba SambaIP
/etc/e-smith/events/actions/update-ifcfg
systemctl restart network
/sbin/e-smith/db domains delete `/sbin/e-smith/db configuration getprop samba Realm`
/sbin/e-smith/signal-event domain-modify
/sbin/e-smith/db accounts delete administrator
fi
true
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%attr(554,root,root) /usr/sbin/e-smith/provision
%attr(554,root,root) /usr/sbin/e-smith/sambatool
%attr(554,root,root) /usr/sbin/e-smith/syncadusers
